com.gisgraphy.importer

## Class ImporterConfig

- java.lang.Object
- - com.gisgraphy.importer.ImporterConfig

-     public class ImporterConfig
      extends Object

  Author:
    David Masclet Represents a configuration for importers For more informations for this options see the User Guide

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCEPT_ALL_REGEX_OPTION` The regexp to use to import all the feature class / code
    `static String` | `ALREADY_DONE_FILE_NAME` the name of the file that gives the information if the import is done or not
    `static String` | `BASE_ACCEPT_REGEX` The default regexp if no one is specified in the env.properties file
    `static String` | `DEFAULT_ACCEPT_REGEX_CITY` The regexp to use to import all the city
    `AdmExtracterStrategyOptions` | `DEFAULT_ADM1_EXTRACTER_STRATEGY_OPTION` Default option if the Adm1 file has already been processed
    `AdmExtracterStrategyOptions` | `DEFAULT_ADM2_EXTRACTER_STRATEGY_OPTION` Default option if the adm2 file has already been processed
    `AdmExtracterStrategyOptions` | `DEFAULT_ADM3_EXTRACTER_STRATEGY_OPTION` Default option if the Adm3 file has already been processed
    `AdmExtracterStrategyOptions` | `DEFAULT_ADM4_EXTRACTER_STRATEGY_OPTION` Default option if the adm4 file has already been processed
    `static String` | `DEFAULT_FEATURE_CLASS` The default feature class if no one is specified
    `static String` | `DEFAULT_FEATURE_CODE` The default feature code if no one is specified
    `static int` | `DEFAULT_MAX_INSERT_BEFORE_FLUSH` Default value for `maxInsertsBeforeFlush`
    `static String` | `GEONAMES_ALTERNATENAME_ZIP_FILE`
    `static String` | `GEONAMES_COMPRESSED_FILE_EXTENSION`
    `static String` | `GEONAMES_DEFAULT_FILES_TO_DOWNLOAD`
    `static String` | `IMPORTER_METADATA_RELATIVE_PATH` The relative path of the directory that contains importer metadata
    `protected static org.slf4j.Logger` | `logger` The logger
    `static String` | `OPENSTREETAMP_COMPRESSED_FILE_EXTENSION`
    `static String` | `OPENSTREETMAP_CITIES_DEFAULT_FILES_TO_DOWNLOAD`
    `static String` | `OPENSTREETMAP_DEFAULT_FILES_TO_DOWNLOAD`
    `static String` | `OPENSTREETMAP_FILL_ISIN_FIELD_NAME`
    `static String` | `OPENSTREETMAP_HOUSENUMBER_DEFAULT_FILES_TO_DOWNLOAD`
    `static String` | `OPENSTREETMAP_POI_DEFAULT_FILES_TO_DOWNLOAD`
    `static String` | `OPTION_SEPARATOR` A list of options is separated by this. e.g : a list of regexp options
    `static String` | `PROPERTIES_CONFIG_FILE_CLASSPATH`
    `static String` | `QUATTROSHAPES_DEFAULT_FILES_TO_DOWNLOAD`
    `static String` | `REGEXP_SEPARATOR` A list of options is separated by this. e.g : a list of regexp options

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImporterConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `createImporterMetadataDirIfItDoesnTExist()` Create the importerMetadataDirectory
    `String` | `getAcceptRegExString()`
    `AdmExtracterStrategyOptions` | `getAdm1ExtracterStrategyIfAlreadyExists()`
    `String` | `getAdm1FileName()`
    `AdmExtracterStrategyOptions` | `getAdm2ExtracterStrategyIfAlreadyExists()`
    `String` | `getAdm2FileName()`
    `AdmExtracterStrategyOptions` | `getAdm3ExtracterStrategyIfAlreadyExists()`
    `String` | `getAdm3FileName()`
    `AdmExtracterStrategyOptions` | `getAdm4ExtracterStrategyIfAlreadyExists()`
    `String` | `getAdm4FileName()`
    `AdmExtracterStrategyOptions` | `getAdmExtracterStrategyOptionsForAdm(int admLevel)` What should we do if the Adm file for the specified level has already been processed It is a wrapper method around `DEFAULT_ADM3_EXTRACTER_STRATEGY_OPTION` and `DEFAULT_ADM4_EXTRACTER_STRATEGY_OPTION`
    `String` | `getAlreadyDoneFilePath()`
    `String` | `getAlternateNameAdm1FileName()` Get the name of the file where the alternate names of adm with level 1 are
    `String` | `getAlternateNameAdm2FileName()` Get the name of the file where the alternate names of adm with level 2 are
    `String` | `getAlternateNameCountryFileName()` Get the name of the file where the alternate names of countries are
    `String` | `getAlternateNameFeaturesFileName()` Get the name of the file where the alternate names of features that are not adm1, adm2, or country are
    `String` | `getAlternateNamesFileName()`
    `String` | `getCountriesFileName()`
    `String` | `getGeonamesDir()`
    `List<String>` | `getGeonamesDownloadFilesListFromOption()`
    `String` | `getGeonamesDownloadURL()`
    `String` | `getGeonamesFilesToDownload()`
    `String` | `getGeonamesZipCodeDir()`
    `String` | `getGeonamesZipCodeDownloadURL()`
    `String` | `getImporterMetadataDirectoryPath()`
    `String` | `getLanguageFileName()`
    `int` | `getMaxInsertsBeforeFlush()`
    `String` | `getOpenStreetMapCitiesDir()`
    `List<String>` | `getOpenStreetMapCitiesDownloadFilesListFromOption()`
    `String` | `getOpenstreetMapCitiesDownloadURL()`
    `String` | `getOpenStreetMapCitiesFilesToDownload()`
    `String` | `getOpenStreetMapDir()`
    `List<String>` | `getOpenStreetMapDownloadFilesListFromOption()`
    `String` | `getOpenstreetMapDownloadURL()`
    `String` | `getOpenStreetMapFilesToDownload()`
    `String` | `getOpenStreetMapHouseNumberDir()`
    `List<String>` | `getOpenStreetMapHouseNumberDownloadFilesListFromOption()`
    `String` | `getOpenStreetMapHouseNumberFilesToDownload()`
    `String` | `getOpenstreetMaphouseNumbersDownloadURL()`
    `String` | `getOpenStreetMapPoisDir()`
    `List<String>` | `getOpenStreetMapPoisDownloadFilesListFromOption()`
    `String` | `getOpenstreetMapPoisDownloadURL()`
    `String` | `getOpenStreetMapPoisFilesToDownload()`
    `String` | `getQuattroshapesDir()`
    `String` | `getQuattroshapesDownloadURL()`
    `List<String>` | `getQuattroshapesFilesDownloadFilesListFromOption()`
    `String` | `getQuattroshapesFilesToDownload()`
    `boolean` | `isAllFilesDownloadables()`
    `boolean` | `isConfigCorrectForImport()`
    `boolean` | `isGeonamesDownloadDirectoryAccessible()`
    `boolean` | `isGeonamesImporterEnabled()`
    `boolean` | `isImportGisFeatureEmbededAlternateNames()`
    `boolean` | `isMissingRequiredFieldThrows()`
    `boolean` | `isOpenStreetMapCitiesDirectoryAccessible()`
    `boolean` | `isOpenStreetMapDownloadDirectoryAccessible()`
    `boolean` | `isOpenStreetMapFillIsIn()` if we search for the nearest city in geonames data to fill the is_in field this increase the time of the importer but strongly increase the relevance of the geocoder
    `boolean` | `isOpenStreetMapHouseNumberDownloadDirectoryAccessible()`
    `boolean` | `isOpenstreetmapHouseNumberImporterEnabled()`
    `boolean` | `isOpenstreetmapImporterEnabled()`
    `boolean` | `isOpenStreetMapPoisDirectoryAccessible()`
    `boolean` | `isQuattroshapesDirectoryAccessible()`
    `boolean` | `isQuattroshapesImporterEnabled()`
    `boolean` | `isRegexpCorrects()`
    `boolean` | `isRenameFilesAfterProcessing()`
    `boolean` | `isRetrieveFiles()`
    `boolean` | `isSyncAdmCodesWithLinkedAdmOnes()`
    `boolean` | `isTryToDetectAdmIfNotFound()`
    `boolean` | `isWrongNumberOfFieldsThrows()`
    `void` | `setAcceptRegExString(String acceptRegExString)` List of regular expressions for placetype (class name without .class to be import.
    `void` | `setAdm1ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions adm1ExtracterStrategy)` What should we do if the Adm1 file has already been processed
    `void` | `setAdm1FileName(String adm1FileName)` The name of the Geonames dump file containing the ADM with level 1
    `void` | `setAdm2ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions adm2ExtracterStrategy)` What should we do if the Adm2 file has already been processed
    `void` | `setAdm2FileName(String adm2FileName)` The name of the Geonames dump file containing the ADM with level 2
    `void` | `setAdm3ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions adm3ExtracterStrategy)` What should we do if the Adm3 file has already been processed
    `void` | `setAdm3FileName(String adm3FileName)` The name of the Geonames dump file containing the ADM with level 3
    `void` | `setAdm4ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions adm4ExtracterStrategy)` What should we do if the Adm4 file has already been processed
    `void` | `setAdm4FileName(String adm4FileName)` The name of the Geonames dump file containing the ADM with level 4
    `void` | `setAlternateNameAdm1FileName(String alternateNameAdm1FileName)` Set the name of the file where the alternate names of adm with level 1 are
    `void` | `setAlternateNameAdm2FileName(String alternateNameAdm2FileName)` Set the name of the file where the alternate names of adm with level 2 are
    `void` | `setAlternateNameCountryFileName(String alternateNameCountryFileName)` Set the name of the file where the alternate names of countries are
    `void` | `setAlternateNameFeaturesFileName(String alternateNameFeaturesFileName)` Set the name of the file where the alternate names of features that are not adm1, adm2, or country are
    `void` | `setAlternateNamesFileName(String alternateNamesFileName)` The name of the Geonames dump file containing the alternate names
    `void` | `setCountriesFileName(String countryFileName)` The name of the Geonames dump file containing the countries informations
    `void` | `setGeonamesDir(String importerGeonamesDir)` The directory where the Geonames files will be retrieved and processed.
    `void` | `setGeonamesDownloadURL(String importerGeonamesDownloadURL)` The HTTP URL of the directory Where Geonames files are to be download from
    `void` | `setGeonamesFilesToDownload(String geonamesFilesToDownload)` The list of the Geonames files to be download from the `geonamesDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`, if not set or null, defaulting to `GEONAMES_DEFAULT_FILES_TO_DOWNLOAD`
    `void` | `setGeonamesImporterEnabled(boolean geonamesImporterEnabled)`
    `void` | `setGeonamesZipCodeDir(String geonamesZipCodeDir)` The directory where the zip code files will be retrieved and processed.
    `void` | `setGeonamesZipCodeDownloadURL(String geonamesZipCodeDownloadURL)` The HTTP URL of the directory Where Geonames zip files are to be download from
    `void` | `setImportGisFeatureEmbededAlternateNames(boolean importGisFeatureEmbededAlternateNames)` Set to true the alternate names of the country dump are imported.
    `void` | `setLanguageFileName(String languageFileName)` The name of the Geonames dump file containing the language informations
    `void` | `setMaxInsertsBeforeFlush(int maxInsertsBeforeFlush)` Optional setting that allows to specify the number of inserts that can be done before flushing.
    `void` | `setMissingRequiredFieldThrows(boolean missingRequiredFieldThrows)` Set to true this options force the import process to stop if a required field is missing.
    `void` | `setOpenStreetMapCitiesDir(String openStreetMapCitiesDir)` The directory where the openStreetMap cities files will be retrieved and processed.
    `void` | `setOpenstreetMapCitiesDownloadURL(String openstreetMapCitiesDownloadURL)` The HTTP URL of the directory Where openstreetmap cities files are to be download from
    `void` | `setOpenStreetMapCitiesFilesToDownload(String openStreetMapCitiesFilesToDownload)` The list of the cities Openstreetmap to be download from the `openstreetMapCitiesDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`. if null or empty, will be set to { `OPENSTREETMAP_CITIES_DEFAULT_FILES_TO_DOWNLOAD`
    `void` | `setOpenStreetMapDir(String importerOpenStreetMapDir)` The directory where the openStreetMap files will be retrieved and processed.
    `void` | `setOpenstreetMapDownloadURL(String openstreetMapDownloadURL)` The HTTP URL of the directory Where openstreetmap streets files are to be download from
    `void` | `setOpenStreetMapFilesToDownload(String openStreetMapFilesToDownload)` The list of the Openstreetmap files to be download from the `openstreetMapDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`. if null or empty, will be set to { `OPENSTREETMAP_DEFAULT_FILES_TO_DOWNLOAD`
    `void` | `setOpenStreetMapFillIsIn(boolean openStreetMapFillIsIn)`
    `void` | `setOpenStreetMapHouseNumberDir(String importerOpenStreetMapHouseNumberDir)` The directory where the openStreetMap files for house numbers will be retrieved and processed.
    `void` | `setOpenStreetMapHouseNumberFilesToDownload(String openStreetMapHouseNumberFilesToDownload)` The list of the Openstreetmap house number files to be download from the `openstreetMapHouseNumbersDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`. if null or empty, will be set to { `OPENSTREETMAP_HOUSENUMBER_DEFAULT_FILES_TO_DOWNLOAD`
    `void` | `setOpenstreetmapHouseNumberImporterEnabled(boolean openstreetmapHouseNumberImporterEnabled)`
    `void` | `setOpenstreetMaphouseNumbersDownloadURL(String openstreetMapHouseNumberDownloadURL)` The HTTP URL of the directory Where openstreetmap house numbers files are to be download from
    `void` | `setOpenstreetmapImporterEnabled(boolean openstreetmapImporterEnabled)`
    `void` | `setOpenStreetMapPoisDir(String openStreetMapPoisDir)` The directory where the openStreetMap POI files will be retrieved and processed.
    `void` | `setOpenstreetMapPoisDownloadURL(String openstreetMapPoisDownloadURL)` The HTTP URL of the directory Where openstreetmap POI files are to be download from
    `void` | `setOpenStreetMapPoisFilesToDownload(String openStreetMapPoisFilesToDownload)` The list of the Openstreetmap POI to be download from the `openstreetMapPoisDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`. if null or empty, will be set to { `OPENSTREETMAP_POI_DEFAULT_FILES_TO_DOWNLOAD`
    `void` | `setQuattroshapesDir(String quattroshapesDir)` The directory where the quattroshapes files will be retrieved and processed.
    `void` | `setQuattroshapesDownloadURL(String quattroshapesDownloadURL)` The HTTP URL of the directory Where quattroshapes files are to be download from
    `void` | `setQuattroshapesFilesToDownload(String quattroshapesFilesToDownload)` The list of the Openstreetmap POI to be download from the `openstreetMapPoisDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`. if null or empty, will be set to { `OPENSTREETMAP_POI_DEFAULT_FILES_TO_DOWNLOAD`
    `void` | `setQuattroshapesImporterEnabled(boolean quattroshapesImporterEnabled)`
    `void` | `setRenameFilesAfterProcessing(boolean renameFilesAfterProcessing)`
    `void` | `setRetrieveFiles(boolean retrieveFiles)` Whether we should download the geonames file or use the one already present in the `geonamesDir`
    `void` | `setSyncAdmCodesWithLinkedAdmOnes(boolean setAdmCodesWithLinkedAdmObject)` The linked Adm may not be the same as the one which would be found with the ADMcodes from the csv file if TryToDetectAdmIfNotFound is set to true. in this case error corecting is done. tis option determine if the ADMXcode must be equals to the linked ADM or if they must be equals to the value in the CSVFile note that the admXnames are always sync with the Linked Adm if true : the AdmXcodes of the imported GisFeature will be the gisFeature.getAdm.getAdmXcode.
    `void` | `setTryToDetectAdmIfNotFound(boolean tryToDetectAdmIfNotFound)` If this option is set to true : The importer will try to detect Adm for features if the AdmXcodes values does not correspond to a known Adm. it is a process of error correction if set to false error correction is disabled
    `void` | `setWrongNumberOfFieldsThrows(boolean wrongNumberOfFieldsThrows)` Set to true this option force the import process to stop if an error is throw.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTIES_CONFIG_FILE_CLASSPATH

          public static final String PROPERTIES_CONFIG_FILE_CLASSPATH

      See Also:
        Constant Field Values

    - #### OPENSTREETMAP_FILL_ISIN_FIELD_NAME

          public static final String OPENSTREETMAP_FILL_ISIN_FIELD_NAME

      See Also:
        Constant Field Values

    - #### OPTION_SEPARATOR

          public static final String OPTION_SEPARATOR

      A list of options is separated by this. e.g : a list of regexp options
      See Also:
        Constant Field Values

    - #### REGEXP_SEPARATOR

          public static final String REGEXP_SEPARATOR

      A list of options is separated by this. e.g : a list of regexp options
      See Also:
        Constant Field Values

    - #### IMPORTER_METADATA_RELATIVE_PATH

          public static final String IMPORTER_METADATA_RELATIVE_PATH

      The relative path of the directory that contains importer metadata
      See Also:
        Constant Field Values

    - #### ALREADY_DONE_FILE_NAME

          public static final String ALREADY_DONE_FILE_NAME

      the name of the file that gives the information if the import is done or not
      See Also:
        Constant Field Values

    - #### DEFAULT_FEATURE_CODE

          public static final String DEFAULT_FEATURE_CODE

      The default feature code if no one is specified
      See Also:
        Constant Field Values

    - #### DEFAULT_FEATURE_CLASS

          public static final String DEFAULT_FEATURE_CLASS

      The default feature class if no one is specified
      See Also:
        Constant Field Values

    - #### BASE_ACCEPT_REGEX

          public static final String BASE_ACCEPT_REGEX

      The default regexp if no one is specified in the env.properties file
      See Also:
        Constant Field Values

    - #### DEFAULT_ACCEPT_REGEX_CITY

          public static final String DEFAULT_ACCEPT_REGEX_CITY

      The regexp to use to import all the city
      See Also:
        Constant Field Values

    - #### ACCEPT_ALL_REGEX_OPTION

          public static final String ACCEPT_ALL_REGEX_OPTION

      The regexp to use to import all the feature class / code
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_INSERT_BEFORE_FLUSH

          public static final int DEFAULT_MAX_INSERT_BEFORE_FLUSH

      Default value for `maxInsertsBeforeFlush`
      See Also:
        Constant Field Values

    - #### OPENSTREETMAP_DEFAULT_FILES_TO_DOWNLOAD

          public static final String OPENSTREETMAP_DEFAULT_FILES_TO_DOWNLOAD

      See Also:
        Constant Field Values

    - #### OPENSTREETMAP_HOUSENUMBER_DEFAULT_FILES_TO_DOWNLOAD

          public static final String OPENSTREETMAP_HOUSENUMBER_DEFAULT_FILES_TO_DOWNLOAD

      See Also:
        Constant Field Values

    - #### OPENSTREETMAP_CITIES_DEFAULT_FILES_TO_DOWNLOAD

          public static final String OPENSTREETMAP_CITIES_DEFAULT_FILES_TO_DOWNLOAD

      See Also:
        Constant Field Values

    - #### OPENSTREETMAP_POI_DEFAULT_FILES_TO_DOWNLOAD

          public static final String OPENSTREETMAP_POI_DEFAULT_FILES_TO_DOWNLOAD

      See Also:
        Constant Field Values

    - #### QUATTROSHAPES_DEFAULT_FILES_TO_DOWNLOAD

          public static final String QUATTROSHAPES_DEFAULT_FILES_TO_DOWNLOAD

      See Also:
        Constant Field Values

    - #### GEONAMES_ALTERNATENAME_ZIP_FILE

          public static final String GEONAMES_ALTERNATENAME_ZIP_FILE

      See Also:
        Constant Field Values

    - #### GEONAMES_COMPRESSED_FILE_EXTENSION

          public static final String GEONAMES_COMPRESSED_FILE_EXTENSION

      See Also:
        Constant Field Values

    - #### OPENSTREETAMP_COMPRESSED_FILE_EXTENSION

          public static final String OPENSTREETAMP_COMPRESSED_FILE_EXTENSION

      See Also:
        Constant Field Values

    - #### GEONAMES_DEFAULT_FILES_TO_DOWNLOAD

          public static final String GEONAMES_DEFAULT_FILES_TO_DOWNLOAD

      See Also:
        Constant Field Values

    - #### DEFAULT_ADM1_EXTRACTER_STRATEGY_OPTION

          public AdmExtracterStrategyOptions DEFAULT_ADM1_EXTRACTER_STRATEGY_OPTION

      Default option if the Adm1 file has already been processed
      See Also:
        `AdmExtracterStrategyOptions`

    - #### DEFAULT_ADM2_EXTRACTER_STRATEGY_OPTION

          public AdmExtracterStrategyOptions DEFAULT_ADM2_EXTRACTER_STRATEGY_OPTION

      Default option if the adm2 file has already been processed
      See Also:
        `AdmExtracterStrategyOptions`

    - #### DEFAULT_ADM3_EXTRACTER_STRATEGY_OPTION

          public AdmExtracterStrategyOptions DEFAULT_ADM3_EXTRACTER_STRATEGY_OPTION

      Default option if the Adm3 file has already been processed
      See Also:
        `AdmExtracterStrategyOptions`

    - #### DEFAULT_ADM4_EXTRACTER_STRATEGY_OPTION

          public AdmExtracterStrategyOptions DEFAULT_ADM4_EXTRACTER_STRATEGY_OPTION

      Default option if the adm4 file has already been processed
      See Also:
        `AdmExtracterStrategyOptions`

    - #### logger

          protected static final org.slf4j.Logger logger

      The logger

  - ### Constructor Detail

    - #### ImporterConfig

          public ImporterConfig()

  - ### Method Detail

    - #### isGeonamesImporterEnabled

          public boolean isGeonamesImporterEnabled()

      Returns:
        true if the importer should process the import of Geonames data

    - #### setGeonamesImporterEnabled

          public void setGeonamesImporterEnabled(boolean geonamesImporterEnabled)

      Parameters:
        `geonamesImporterEnabled` - enable or disable Geonames importer
      See Also:
        `isGeonamesImporterEnabled()`

    - #### getGeonamesDownloadURL

          public String getGeonamesDownloadURL()

      Returns:
        The option
      See Also:
        `setGeonamesDownloadURL(String)`

    - #### setGeonamesDownloadURL

          public void setGeonamesDownloadURL(String importerGeonamesDownloadURL)

      The HTTP URL of the directory Where Geonames files are to be download from
      Parameters:
        `importerGeonamesDownloadURL` - The option

    - #### getGeonamesDir

          public String getGeonamesDir()

      Returns:
        The option
      See Also:
        `setGeonamesDir(String)`

    - #### setGeonamesDir

          public void setGeonamesDir(String importerGeonamesDir)

      The directory where the Geonames files will be retrieved and processed. It must ends with / or \ according to the System
      Parameters:
        `importerGeonamesDir` - the option

    - #### isGeonamesDownloadDirectoryAccessible

          public boolean isGeonamesDownloadDirectoryAccessible()

      Returns:
        true if the directory with the file to import exists and is accessible

    - #### getGeonamesFilesToDownload

          public String getGeonamesFilesToDownload()

      Returns:
        The option
      See Also:
        `setGeonamesFilesToDownload(String)`

    - #### setGeonamesFilesToDownload

          public void setGeonamesFilesToDownload(String geonamesFilesToDownload)

      The list of the Geonames files to be download from the `geonamesDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`, if not set or null, defaulting to `GEONAMES_DEFAULT_FILES_TO_DOWNLOAD`
      Parameters:
        `geonamesFilesToDownload` - the filesToDownload to set

    - #### getGeonamesDownloadFilesListFromOption

          public List<String> getGeonamesDownloadFilesListFromOption()

      Returns:
        A list of string with the files to be download, processed from `geonamesFilesToDownload`

    - #### getGeonamesZipCodeDownloadURL

          public String getGeonamesZipCodeDownloadURL()

      Returns:
        The option
      See Also:
        `setGeonamesZipCodeDownloadURL(String)`

    - #### setGeonamesZipCodeDownloadURL

          public void setGeonamesZipCodeDownloadURL(String geonamesZipCodeDownloadURL)

      The HTTP URL of the directory Where Geonames zip files are to be download from
      Parameters:
        `geonamesZipCodeDownloadURL` - The option

    - #### getGeonamesZipCodeDir

          public String getGeonamesZipCodeDir()

      Returns:
        the zipcode directory where the zipcode data are

    - #### setGeonamesZipCodeDir

          public void setGeonamesZipCodeDir(String geonamesZipCodeDir)

      The directory where the zip code files will be retrieved and processed. It must ends with / or \ according to the System
      Parameters:
        `geonamesZipCodeDir` - the option

    - #### setOpenstreetmapImporterEnabled

          public void setOpenstreetmapImporterEnabled(boolean openstreetmapImporterEnabled)

      Parameters:
        `openstreetmapImporterEnabled` - enable or disable Openstreetmap importer
      See Also:
        `isOpenstreetmapImporterEnabled()`

    - #### isOpenstreetmapImporterEnabled

          public boolean isOpenstreetmapImporterEnabled()

      Returns:
        true if the importer should process the import of Openstreetmap data
      See Also:
        `isGeonamesImporterEnabled()`

    - #### getOpenstreetMapDownloadURL

          public String getOpenstreetMapDownloadURL()

      Returns:
        The option
      See Also:
        `setOpenstreetMapDownloadURL(String)`

    - #### setOpenstreetMapDownloadURL

          public void setOpenstreetMapDownloadURL(String openstreetMapDownloadURL)

      The HTTP URL of the directory Where openstreetmap streets files are to be download from
      Parameters:
        `openstreetMapDownloadURL` - The option

    - #### getOpenStreetMapDir

          public String getOpenStreetMapDir()

      Returns:
        The option
      See Also:
        `setOpenStreetMapDir(String)`

    - #### setOpenStreetMapDir

          public void setOpenStreetMapDir(String importerOpenStreetMapDir)

      The directory where the openStreetMap files will be retrieved and processed. It must ends with / or \ according to the System
      Parameters:
        `importerOpenStreetMapDir` - the option

    - #### isOpenStreetMapDownloadDirectoryAccessible

          public boolean isOpenStreetMapDownloadDirectoryAccessible()

      Returns:
        true if the directory with the file to import exists and is accessible

    - #### getOpenStreetMapFilesToDownload

          public String getOpenStreetMapFilesToDownload()

      Returns:
        The option
      See Also:
        `setOpenStreetMapFilesToDownload(String)`

    - #### setOpenStreetMapFilesToDownload

          public void setOpenStreetMapFilesToDownload(String openStreetMapFilesToDownload)

      The list of the Openstreetmap files to be download from the `openstreetMapDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`. if null or empty, will be set to { `OPENSTREETMAP_DEFAULT_FILES_TO_DOWNLOAD`
      Parameters:
        `openStreetMapFilesToDownload` - The openstreetmap files to download to set

    - #### getOpenStreetMapDownloadFilesListFromOption

          public List<String> getOpenStreetMapDownloadFilesListFromOption()

      Returns:
        A list of string with the files to be download, processed from `openStreetMapFilesToDownload`

    - #### isOpenstreetmapHouseNumberImporterEnabled

          public boolean isOpenstreetmapHouseNumberImporterEnabled()

      Returns:
        true if the importer should process the import of Openstreetmap house numbers data
      See Also:
        `isGeonamesImporterEnabled()`

    - #### setOpenstreetmapHouseNumberImporterEnabled

          public void setOpenstreetmapHouseNumberImporterEnabled(boolean openstreetmapHouseNumberImporterEnabled)

      Parameters:
        `openstreetmapHouseNumberImporterEnabled` - enable or disable Openstreetmap house numbers importer
      See Also:
        `isOpenstreetmapImporterEnabled()`

    - #### getOpenstreetMaphouseNumbersDownloadURL

          public String getOpenstreetMaphouseNumbersDownloadURL()

      Returns:
        The option
      See Also:
        `setOpenstreetMaphouseNumbersDownloadURL(String)`

    - #### setOpenstreetMaphouseNumbersDownloadURL

          public void setOpenstreetMaphouseNumbersDownloadURL(String openstreetMapHouseNumberDownloadURL)

      The HTTP URL of the directory Where openstreetmap house numbers files are to be download from
      Parameters:
        `openstreetMapHouseNumberDownloadURL` - The option

    - #### getOpenStreetMapHouseNumberDir

          public String getOpenStreetMapHouseNumberDir()

      Returns:
        The option
      See Also:
        `setOpenStreetMapHouseNumberDir(String)`

    - #### setOpenStreetMapHouseNumberDir

          public void setOpenStreetMapHouseNumberDir(String importerOpenStreetMapHouseNumberDir)

      The directory where the openStreetMap files for house numbers will be retrieved and processed. It must ends with / or \ according to the System
      Parameters:
        `importerOpenStreetMapHouseNumberDir` - the option

    - #### isOpenStreetMapHouseNumberDownloadDirectoryAccessible

          public boolean isOpenStreetMapHouseNumberDownloadDirectoryAccessible()

      Returns:
        true if the directory with the file to import exists and is accessible

    - #### getOpenStreetMapHouseNumberFilesToDownload

          public String getOpenStreetMapHouseNumberFilesToDownload()

      Returns:
        The option
      See Also:
        `setOpenStreetMapHouseNumberFilesToDownload(String)`

    - #### setOpenStreetMapHouseNumberFilesToDownload

          public void setOpenStreetMapHouseNumberFilesToDownload(String openStreetMapHouseNumberFilesToDownload)

      The list of the Openstreetmap house number files to be download from the `openstreetMapHouseNumbersDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`. if null or empty, will be set to { `OPENSTREETMAP_HOUSENUMBER_DEFAULT_FILES_TO_DOWNLOAD`
      Parameters:
        `openStreetMapHouseNumberFilesToDownload` - The openstreetmap files to download to set

    - #### getOpenStreetMapHouseNumberDownloadFilesListFromOption

          public List<String> getOpenStreetMapHouseNumberDownloadFilesListFromOption()

      Returns:
        A list of string with the files to be download, processed from `openStreetMapHouseNumberFilesToDownload`

    - #### getOpenstreetMapCitiesDownloadURL

          public String getOpenstreetMapCitiesDownloadURL()

      Returns:
        The option
      See Also:
        `setOpenstreetMapCitiesDownloadURL(String)`

    - #### setOpenstreetMapCitiesDownloadURL

          public void setOpenstreetMapCitiesDownloadURL(String openstreetMapCitiesDownloadURL)

      The HTTP URL of the directory Where openstreetmap cities files are to be download from
      Parameters:
        `openstreetMapCitiesDownloadURL` - The option

    - #### getOpenStreetMapCitiesDir

          public String getOpenStreetMapCitiesDir()

      Returns:
        The option
      See Also:
        `setOpenStreetMapCitiesDir(String)`

    - #### setOpenStreetMapCitiesDir

          public void setOpenStreetMapCitiesDir(String openStreetMapCitiesDir)

      The directory where the openStreetMap cities files will be retrieved and processed. It must ends with / or \ according to the System
      Parameters:
        `openStreetMapCitiesDir` - the option

    - #### isOpenStreetMapCitiesDirectoryAccessible

          public boolean isOpenStreetMapCitiesDirectoryAccessible()

      Returns:
        true if the directory with the osm cities file to import exists and is accessible

    - #### getOpenStreetMapCitiesFilesToDownload

          public String getOpenStreetMapCitiesFilesToDownload()

      Returns:
        The option
      See Also:
        `setOpenStreetMapCitiesFilesToDownload(String)`

    - #### setOpenStreetMapCitiesFilesToDownload

          public void setOpenStreetMapCitiesFilesToDownload(String openStreetMapCitiesFilesToDownload)

      The list of the cities Openstreetmap to be download from the `openstreetMapCitiesDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`. if null or empty, will be set to { `OPENSTREETMAP_CITIES_DEFAULT_FILES_TO_DOWNLOAD`
      Parameters:
        `openStreetMapCitiesFilesToDownload` - The openstreetmap filesToDownload to set

    - #### getOpenStreetMapCitiesDownloadFilesListFromOption

          public List<String> getOpenStreetMapCitiesDownloadFilesListFromOption()

      Returns:
        A list of string with the files to be download, processed from `openStreetMapCitiesFilesToDownload`

    - #### getOpenstreetMapPoisDownloadURL

          public String getOpenstreetMapPoisDownloadURL()

      Returns:
        The option
      See Also:
        `setOpenstreetMapPoisDownloadURL(String)`

    - #### setOpenstreetMapPoisDownloadURL

          public void setOpenstreetMapPoisDownloadURL(String openstreetMapPoisDownloadURL)

      The HTTP URL of the directory Where openstreetmap POI files are to be download from
      Parameters:
        `openstreetMapPoisDownloadURL` - The option

    - #### getOpenStreetMapPoisDir

          public String getOpenStreetMapPoisDir()

      Returns:
        The option
      See Also:
        `setOpenStreetMapPoisDir(String)`

    - #### setOpenStreetMapPoisDir

          public void setOpenStreetMapPoisDir(String openStreetMapPoisDir)

      The directory where the openStreetMap POI files will be retrieved and processed. It must ends with / or \ according to the System
      Parameters:
        `openStreetMapPoisDir` - the option

    - #### isOpenStreetMapPoisDirectoryAccessible

          public boolean isOpenStreetMapPoisDirectoryAccessible()

      Returns:
        true if the directory with the osm Poi file to import exists and is accessible

    - #### getOpenStreetMapPoisFilesToDownload

          public String getOpenStreetMapPoisFilesToDownload()

      Returns:
        The option
      See Also:
        `setOpenStreetMapPoisFilesToDownload(String)`

    - #### setOpenStreetMapPoisFilesToDownload

          public void setOpenStreetMapPoisFilesToDownload(String openStreetMapPoisFilesToDownload)

      The list of the Openstreetmap POI to be download from the `openstreetMapPoisDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`. if null or empty, will be set to { `OPENSTREETMAP_POI_DEFAULT_FILES_TO_DOWNLOAD`
      Parameters:
        `openStreetMapPoisFilesToDownload` - The openstreetmap filesToDownload to set

    - #### getOpenStreetMapPoisDownloadFilesListFromOption

          public List<String> getOpenStreetMapPoisDownloadFilesListFromOption()

      Returns:
        A list of string with the files to be download, processed from `openStreetMapCitiesFilesToDownload`

    - #### setQuattroshapesImporterEnabled

          public void setQuattroshapesImporterEnabled(boolean quattroshapesImporterEnabled)

      Parameters:
        `enable` - or disable quattroshapes importer
      See Also:
        `isQuattroshapesImporterEnabled()`

    - #### isQuattroshapesImporterEnabled

          public boolean isQuattroshapesImporterEnabled()

      Returns:
        true if the importer should process the import of quattroshapes data
      See Also:
        `isQuattroshapesImporterEnabled()`

    - #### getQuattroshapesDownloadURL

          public String getQuattroshapesDownloadURL()

      Returns:
        The option
      See Also:
        `setQuattroshapesDownloadURL(String)`

    - #### setQuattroshapesDownloadURL

          public void setQuattroshapesDownloadURL(String quattroshapesDownloadURL)

      The HTTP URL of the directory Where quattroshapes files are to be download from
      Parameters:
        `quattroshapesDownloadURL` - The option

    - #### getQuattroshapesDir

          public String getQuattroshapesDir()

      Returns:
        The option
      See Also:
        `setQuattroshapesDir(String)`

    - #### setQuattroshapesDir

          public void setQuattroshapesDir(String quattroshapesDir)

      The directory where the quattroshapes files will be retrieved and processed. It must ends with / or \ according to the System
      Parameters:
        `quattroshapesDir` - the option

    - #### isQuattroshapesDirectoryAccessible

          public boolean isQuattroshapesDirectoryAccessible()

      Returns:
        true if the directory with the quattroshapes file to import exists and is accessible

    - #### getQuattroshapesFilesToDownload

          public String getQuattroshapesFilesToDownload()

      Returns:
        The option
      See Also:
        `setQuattroshapesFilesToDownload(String)`

    - #### setQuattroshapesFilesToDownload

          public void setQuattroshapesFilesToDownload(String quattroshapesFilesToDownload)

      The list of the Openstreetmap POI to be download from the `openstreetMapPoisDownloadURL`. the several files will be separated by `OPTION_SEPARATOR`. if null or empty, will be set to { `OPENSTREETMAP_POI_DEFAULT_FILES_TO_DOWNLOAD`
      Parameters:
        `openStreetMapPoisFilesToDownload` - The openstreetmap filesToDownload to set

    - #### getQuattroshapesFilesDownloadFilesListFromOption

          public List<String> getQuattroshapesFilesDownloadFilesListFromOption()

      Returns:
        A list of string with the files to be download, processed from `openStreetMapCitiesFilesToDownload`

    - #### getAdmExtracterStrategyOptionsForAdm

          public AdmExtracterStrategyOptions getAdmExtracterStrategyOptionsForAdm(int admLevel)

      What should we do if the Adm file for the specified level has already been processed It is a wrapper method around `DEFAULT_ADM3_EXTRACTER_STRATEGY_OPTION` and `DEFAULT_ADM4_EXTRACTER_STRATEGY_OPTION`

    - #### getAcceptRegExString

          public String getAcceptRegExString()

      Returns:
        The option
      See Also:
        `setAcceptRegExString(String)`

    - #### isSyncAdmCodesWithLinkedAdmOnes

          public boolean isSyncAdmCodesWithLinkedAdmOnes()

      Returns:
        The option
      See Also:
        `setSyncAdmCodesWithLinkedAdmOnes(boolean)`

    - #### isTryToDetectAdmIfNotFound

          public boolean isTryToDetectAdmIfNotFound()

      Returns:
        The option
      See Also:
        `setTryToDetectAdmIfNotFound(boolean)`

    - #### setAcceptRegExString

          public void setAcceptRegExString(String acceptRegExString)

      List of regular expressions for placetype (class name without .class to be import.
      "ADM" and "country" are automaticaly imported (Administrative division and country).
      Examples :
      - .* : import all gisfeatures, no matter their feature class and feature code
      - `DEFAULT_ACCEPT_REGEX_CITY` : import all adm city and countries
      - ATM : import all ATM
      - ATM|RESTAURANT : import all ATM and restaurant
      Parameters:
        `acceptRegExString` - the option

    - #### setSyncAdmCodesWithLinkedAdmOnes

          public void setSyncAdmCodesWithLinkedAdmOnes(boolean setAdmCodesWithLinkedAdmObject)

      The linked Adm may not be the same as the one which would be found with the ADMcodes from the csv file if TryToDetectAdmIfNotFound is set to true. in this case error corecting is done. tis option determine if the ADMXcode must be equals to the linked ADM or if they must be equals to the value in the CSVFile note that the admXnames are always sync with the Linked Adm if true : the AdmXcodes of the imported GisFeature will be the gisFeature.getAdm.getAdmXcode.
      if false : the AdmXcode for a GisFeature will be the values of the CSV dump file. That means : If the option tryToDetectAdmIfNotFound is set to true : the Adm will be suggest if the AdmXcodes values of the CSV dump file doesn't correspond to an already known Adm. In that case the suggested Adm will have AdmXcodes different from the CSV dump file ones. This option allow you to set The AdmXcodes for the gisFeature with the detected Adm value instead of the CSV file ones.
      In other words : AdmXcodes of the linked Adm and AdmXcodes of the gisFeature will always be the same if this option is true. it is recommended to let it to true
      Parameters:
        `setAdmCodesWithLinkedAdmObject` - The option to set

    - #### setTryToDetectAdmIfNotFound

          public void setTryToDetectAdmIfNotFound(boolean tryToDetectAdmIfNotFound)

      If this option is set to true : The importer will try to detect Adm for features if the AdmXcodes values does not correspond to a known Adm. it is a process of error correction if set to false error correction is disabled
      Parameters:
        `tryToDetectAdmIfNotFound` - The option

    - #### getAdm1ExtracterStrategyIfAlreadyExists

          public AdmExtracterStrategyOptions getAdm1ExtracterStrategyIfAlreadyExists()

      Returns:
        The option
      See Also:
        `setAdm1ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions)`

    - #### setAdm1ExtracterStrategyIfAlreadyExists

          public void setAdm1ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions adm1ExtracterStrategy)

      What should we do if the Adm1 file has already been processed
      Parameters:
        `adm1ExtracterStrategy` - The option
      See Also:
        `DEFAULT_ADM1_EXTRACTER_STRATEGY_OPTION`

    - #### getAdm2ExtracterStrategyIfAlreadyExists

          public AdmExtracterStrategyOptions getAdm2ExtracterStrategyIfAlreadyExists()

      Returns:
        The option
      See Also:
        `setAdm2ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions)`

    - #### setAdm2ExtracterStrategyIfAlreadyExists

          public void setAdm2ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions adm2ExtracterStrategy)

      What should we do if the Adm2 file has already been processed
      Parameters:
        `adm2ExtracterStrategy` - The option
      See Also:
        `DEFAULT_ADM2_EXTRACTER_STRATEGY_OPTION`

    - #### getAdm3ExtracterStrategyIfAlreadyExists

          public AdmExtracterStrategyOptions getAdm3ExtracterStrategyIfAlreadyExists()

      Returns:
        The option
      See Also:
        `setAdm3ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions)`

    - #### setAdm3ExtracterStrategyIfAlreadyExists

          public void setAdm3ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions adm3ExtracterStrategy)

      What should we do if the Adm3 file has already been processed
      Parameters:
        `adm3ExtracterStrategy` - The option
      See Also:
        `DEFAULT_ADM3_EXTRACTER_STRATEGY_OPTION`

    - #### getAdm4ExtracterStrategyIfAlreadyExists

          public AdmExtracterStrategyOptions getAdm4ExtracterStrategyIfAlreadyExists()

      Returns:
        the option
      See Also:
        `setAdm4ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions)`

    - #### setAdm4ExtracterStrategyIfAlreadyExists

          public void setAdm4ExtracterStrategyIfAlreadyExists(AdmExtracterStrategyOptions adm4ExtracterStrategy)

      What should we do if the Adm4 file has already been processed
      Parameters:
        `adm4ExtracterStrategy` - The option
      See Also:
        `DEFAULT_ADM3_EXTRACTER_STRATEGY_OPTION`

    - #### isMissingRequiredFieldThrows

          public boolean isMissingRequiredFieldThrows()

      Returns:
        The option
      See Also:
        `setMissingRequiredFieldThrows(boolean)`, `MissingRequiredFieldException`

    - #### setMissingRequiredFieldThrows

          public void setMissingRequiredFieldThrows(boolean missingRequiredFieldThrows)

      Set to true this options force the import process to stop if a required field is missing.
      Set to false it ignore the error and try to continue (recommended)
      Parameters:
        `missingRequiredFieldThrows` - The option
      See Also:
        `MissingRequiredFieldException`

    - #### isWrongNumberOfFieldsThrows

          public boolean isWrongNumberOfFieldsThrows()

      Returns:
        The option
      See Also:
        `setWrongNumberOfFieldsThrows(boolean)`

    - #### setWrongNumberOfFieldsThrows

          public void setWrongNumberOfFieldsThrows(boolean wrongNumberOfFieldsThrows)

      Set to true this option force the import process to stop if an error is throw.
      Set to false it ignore the error and try to continue (recommended)
      Parameters:
        `wrongNumberOfFieldsThrows` - The option

    - #### isImportGisFeatureEmbededAlternateNames

          public boolean isImportGisFeatureEmbededAlternateNames()

      Returns:
        The option
      See Also:
        `setImportGisFeatureEmbededAlternateNames(boolean)`

    - #### setImportGisFeatureEmbededAlternateNames

          public void setImportGisFeatureEmbededAlternateNames(boolean importGisFeatureEmbededAlternateNames)

      Set to true the alternate names of the country dump are imported. Set to false it will import the alternate names from the alternatenames dump file
      Parameters:
        `importGisFeatureEmbededAlternateNames` - The option

    - #### isRetrieveFiles

          public boolean isRetrieveFiles()

      Returns:
        The option
      See Also:
        `setRetrieveFiles(boolean)`

    - #### setRetrieveFiles

          public void setRetrieveFiles(boolean retrieveFiles)

      Whether we should download the geonames file or use the one already present in the `geonamesDir`
      Parameters:
        `retrieveFiles` - The options

    - #### getAdm1FileName

          public String getAdm1FileName()

      Returns:
        the option
      See Also:
        `getAdm1FileName()`

    - #### setAdm1FileName

          public void setAdm1FileName(String adm1FileName)

      The name of the Geonames dump file containing the ADM with level 1
      Parameters:
        `adm1FileName` - The option

    - #### getAdm2FileName

          public String getAdm2FileName()

      Returns:
        The option
      See Also:
        `getAdm2FileName()`

    - #### setAdm2FileName

          public void setAdm2FileName(String adm2FileName)

      The name of the Geonames dump file containing the ADM with level 2
      Parameters:
        `adm2FileName` - The option

    - #### getAdm3FileName

          public String getAdm3FileName()

      Returns:
        The option
      See Also:
        `getAdm3FileName()`

    - #### setAdm3FileName

          public void setAdm3FileName(String adm3FileName)

      The name of the Geonames dump file containing the ADM with level 3
      Parameters:
        `adm3FileName` - the adm3FileName to set

    - #### getAdm4FileName

          public String getAdm4FileName()

      Returns:
        The option
      See Also:
        `getAdm4FileName()`

    - #### setAdm4FileName

          public void setAdm4FileName(String adm4FileName)

      The name of the Geonames dump file containing the ADM with level 4
      Parameters:
        `adm4FileName` - The option

    - #### getCountriesFileName

          public String getCountriesFileName()

      Returns:
        The Option
      See Also:
        `getCountriesFileName()`

    - #### setCountriesFileName

          public void setCountriesFileName(String countryFileName)

      The name of the Geonames dump file containing the countries informations
      Parameters:
        `countryFileName` - The option

    - #### getLanguageFileName

          public String getLanguageFileName()

      Returns:
        The option
      See Also:
        `setLanguageFileName(String)`

    - #### setLanguageFileName

          public void setLanguageFileName(String languageFileName)

      The name of the Geonames dump file containing the language informations
      Parameters:
        `languageFileName` - The option

    - #### getAlternateNamesFileName

          public String getAlternateNamesFileName()

      Returns:
        The option
      See Also:
        `getAlternateNamesFileName()`

    - #### setAlternateNamesFileName

          public void setAlternateNamesFileName(String alternateNamesFileName)

      The name of the Geonames dump file containing the alternate names
      Parameters:
        `alternateNamesFileName` - The option

    - #### setMaxInsertsBeforeFlush

          public void setMaxInsertsBeforeFlush(int maxInsertsBeforeFlush)

      Optional setting that allows to specify the number of inserts that can be done before flushing. This is useful since most ORM technologies use a so-called Level-2 cache that will store all the persisted data until they are either comitted or flushed...default value is `DEFAULT_MAX_INSERT_BEFORE_FLUSH`
      Parameters:
        `maxInsertsBeforeFlush` - The option

    - #### getMaxInsertsBeforeFlush

          public int getMaxInsertsBeforeFlush()

      Returns:
        The option
      See Also:
        `setMaxInsertsBeforeFlush(int)`

    - #### isRegexpCorrects

          public boolean isRegexpCorrects()

      Returns:
        true if the regexp of the feature class/ code are correct

    - #### isConfigCorrectForImport

          public boolean isConfigCorrectForImport()

      Returns:
        true if the config is Ok to process the import

    - #### isAllFilesDownloadables

          public boolean isAllFilesDownloadables()

    - #### getAlreadyDoneFilePath

          public String getAlreadyDoneFilePath()

      Returns:
        the path to the file that give the information if the import is done or not

    - #### getImporterMetadataDirectoryPath

          public String getImporterMetadataDirectoryPath()

      Returns:
        the path to the file that give the information if the import is done or not

    - #### createImporterMetadataDirIfItDoesnTExist

          public String createImporterMetadataDirIfItDoesnTExist()

      Create the importerMetadataDirectory
      Returns:
        the path to the importerMetadataDirectory

    - #### getAlternateNameFeaturesFileName

          public String getAlternateNameFeaturesFileName()

      Get the name of the file where the alternate names of features that are not adm1, adm2, or country are
      Returns:
        The name of the file
      See Also:
        `setAlternateNameFeaturesFileName(String)`

    - #### setAlternateNameFeaturesFileName

          public void setAlternateNameFeaturesFileName(String alternateNameFeaturesFileName)

      Set the name of the file where the alternate names of features that are not adm1, adm2, or country are
      Parameters:
        `alternateNameFeaturesFileName` - The name of the file to set
      See Also:
        `getAlternateNameFeaturesFileName()`

    - #### getAlternateNameAdm1FileName

          public String getAlternateNameAdm1FileName()

      Get the name of the file where the alternate names of adm with level 1 are
      Returns:
        The name of the file
      See Also:
        `setAlternateNameAdm1FileName(String)`

    - #### setAlternateNameAdm1FileName

          public void setAlternateNameAdm1FileName(String alternateNameAdm1FileName)

      Set the name of the file where the alternate names of adm with level 1 are
      Parameters:
        `alternateNameAdm1FileName` - The name of the file to set
      See Also:
        `getAlternateNameAdm1FileName()`

    - #### getAlternateNameAdm2FileName

          public String getAlternateNameAdm2FileName()

      Get the name of the file where the alternate names of adm with level 2 are
      Returns:
        The name of the file
      See Also:
        `setAlternateNameAdm2FileName(String)`

    - #### setAlternateNameAdm2FileName

          public void setAlternateNameAdm2FileName(String alternateNameAdm2FileName)

      Set the name of the file where the alternate names of adm with level 2 are
      Parameters:
        `alternateNameAdm2FileName` - The name of the file to set
      See Also:
        `getAlternateNameAdm2FileName()`

    - #### getAlternateNameCountryFileName

          public String getAlternateNameCountryFileName()

      Get the name of the file where the alternate names of countries are
      Returns:
        The name of the file
      See Also:
        `setAlternateNameCountryFileName(String)`

    - #### setAlternateNameCountryFileName

          public void setAlternateNameCountryFileName(String alternateNameCountryFileName)

      Set the name of the file where the alternate names of countries are
      Parameters:
        `alternateNameCountryFileName` - The name of the file to set
      See Also:
        `getAlternateNameCountryFileName()`

    - #### isOpenStreetMapFillIsIn

          public boolean isOpenStreetMapFillIsIn()

      if we search for the nearest city in geonames data to fill the is_in field this increase the time of the importer but strongly increase the relevance of the geocoder

    - #### setOpenStreetMapFillIsIn

          public void setOpenStreetMapFillIsIn(boolean openStreetMapFillIsIn)

      See Also:
        `isOpenStreetMapFillIsIn()`

    - #### isRenameFilesAfterProcessing

          public boolean isRenameFilesAfterProcessing()

    - #### setRenameFilesAfterProcessing

          public void setRenameFilesAfterProcessing(boolean renameFilesAfterProcessing)

Copyright © 2015. All rights reserved.